/**
 * Validation types.
 */
export declare enum ValidationTypes {
    CONTAINS = 1,
    EQUALS = 2,
    IS_AFTER = 3,
    IS_ALPHA = 4,
    IS_ALPHANUMERIC = 5,
    IS_ASCII = 6,
    IS_BASE64 = 7,
    IS_BEFORE = 8,
    IS_BOOLEAN = 901,
    IS_BOOLEAN_STRING = 9,
    IS_BYTE_LENGTH = 10,
    IS_CREDIT_CARD = 11,
    IS_CURRENCY = 12,
    IS_DATE = 13,
    IS_DECIMAL = 14,
    IS_DIVISIBLE_BY = 15,
    IS_EMAIL = 16,
    IS_FQDN = 17,
    IS_FLOAT = 18,
    IS_FULL_WIDTH = 19,
    IS_HALF_WIDTH = 20,
    IS_HEX_COLOR = 21,
    IS_HEXADECIMAL = 22,
    IS_IP = 23,
    IS_ISBN = 24,
    IS_ISIN = 25,
    IS_ISO8601 = 26,
    IS_IN = 27,
    IS_INT = 28,
    IS_JSON = 29,
    IS_LENGTH = 30,
    IS_LOWERCASE = 31,
    IS_MOBILE_PHONE = 32,
    IS_MONGO_ID = 33,
    IS_MULTIBYTE = 34,
    IS_NULL = 35,
    IS_NUMERIC = 36,
    IS_SURROGATE_PAIR = 37,
    IS_URL = 38,
    IS_UUID = 39,
    IS_UPPERCASE = 40,
    IS_VARIABLE_WIDTH = 41,
    MATCHES = 42,
    MIN_LENGTH = 301,
    MAX_LENGTH = 302,
    MIN_NUMBER = 281,
    MAX_NUMBER = 282,
    NOT_EMPTY = 1001,
    NOT_EMPTY_ARRAY = 1002,
    MIN_SIZE = 1003,
    MAX_SIZE = 1004,
    NESTED_VALIDATION = 0,
    CUSTOM_VALIDATION = 99999,
}
export declare class ValidationTypesUtils {
    static getCodeName(code: number): string;
}
